package hideandseek.commands.admin;

import org.bukkit.entity.Player;
import org.bukkit.ChatColor;
import hideandseek.PlayerData;
import org.bukkit.Bukkit;
import hideandseek.utils.Utils;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class CoinsCommand extends SubCommand
{
    public CoinsCommand() {
        super("hideandseek.coins", true, "Add/Remove/Set <Player> <Amount>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        if (var4.length < 4 || (!var4[1].equalsIgnoreCase("add") && !var4[1].equalsIgnoreCase("remove") && !var4[1].equalsIgnoreCase("set")) || !Utils.isNumber(var4[3])) {
            return false;
        }
        final Player var5 = Bukkit.getPlayer(var4[2]);
        if (var5 == null) {
            var3.sendMessage((String)var2.messages.get("no_player_found"));
            return true;
        }
        final PlayerData var6 = var1.playerData.get(var5.getName());
        final String var7 = var4[1].toLowerCase();
        final int var8 = Integer.parseInt(var4[3]);
        if (var7.equalsIgnoreCase("add")) {
            var6.addCoins(var5, var8);
        }
        else if (var7.equalsIgnoreCase("remove")) {
            var6.removeCoins(var5, var8);
        }
        else if (var7.equalsIgnoreCase("set")) {
            var6.setCoins(var5, var8);
        }
        var6.played = true;
        var3.sendMessage(var2.prefix + "你成功修改了" + String.valueOf(ChatColor.YELLOW) + var5.getName() + String.valueOf(ChatColor.GOLD) + " 游戏币!");
        var5.sendMessage((String)var2.messages.get("coins_modified"));
        return true;
    }
}
